Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class Instance

    java.lang.Object
      com.amazonaws.services.autoscaling.model.Instance

    public class Instance

extends Object

The Instance data type.

Constructor Summary
`Instance()`

Method Summary
`String` | `getAvailabilityZone()` Constraints: Length: 1 - 255 Pattern: [ -??-??-?\r\n\t]*
`String` | `getInstanceId()` Specifies EC2 instance ID.
`String` | `getLifecycleState()` Contains a description of the current lifecycle state.
`void` | `setAvailabilityZone(String availabilityZone)` Constraints: Length: 1 - 255 Pattern: [ -??-??-?\r\n\t]*
`void` | `setInstanceId(String instanceId)` Specifies EC2 instance ID.
`void` | `setLifecycleState(String lifecycleState)` Contains a description of the current lifecycle state.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Instance` | `withAvailabilityZone(String availabilityZone)` Returns a reference to this object so that method calls can be chained together.
`Instance` | `withInstanceId(String instanceId)` Specifies EC2 instance ID.
`Instance` | `withLifecycleState(String lifecycleState)` Contains a description of the current lifecycle state.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Instance

    public Instance()

Method Detail

### getInstanceId

    public String getInstanceId()

  Specifies EC2 instance ID.

  Constraints:
  Length: 1 - 16
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Specifies EC2 instance ID.

### setInstanceId

    public void setInstanceId(String instanceId)

  Specifies EC2 instance ID.

  Constraints:
  Length: 1 - 16
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `instanceId` - Specifies EC2 instance ID.

### withInstanceId

    public Instance withInstanceId(String instanceId)

  Specifies EC2 instance ID.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 16
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `instanceId` - Specifies EC2 instance ID.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Returns:

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `availabilityZone` -

### withAvailabilityZone

    public Instance withAvailabilityZone(String availabilityZone)

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 255
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `availabilityZone` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLifecycleState

    public String getLifecycleState()

  Contains a description of the current lifecycle state.

  Constraints:
  Length: 1 - 32
  Pattern: [ -??-??-?\r\n\t]*

  Returns:
    Contains a description of the current lifecycle state.

### setLifecycleState

    public void setLifecycleState(String lifecycleState)

  Contains a description of the current lifecycle state.

  Constraints:
  Length: 1 - 32
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `lifecycleState` - Contains a description of the current lifecycle state.

### withLifecycleState

    public Instance withLifecycleState(String lifecycleState)

  Contains a description of the current lifecycle state.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 32
  Pattern: [ -??-??-?\r\n\t]*

  Parameters:
    `lifecycleState` - Contains a description of the current lifecycle state.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.